* [gentoo-commits] repo/gentoo:master commit in: net-ftp/ncftp/files/, net-ftp/ncftp/
@ 2020-01-27 10:21 Jeroen Roovers
0 siblings, 0 replies; 3+ messages in thread
From: Jeroen Roovers @ 2020-01-27 10:21 UTC (permalink / raw
To: gentoo-commits
commit: 1224a05ef18f8e30298366873ffc7d8065fae62a
Author: Jeroen Roovers <jer <AT> gentoo <DOT> org>
AuthorDate: Mon Jan 27 10:15:13 2020 +0000
Commit: Jeroen Roovers <jer <AT> gentoo <DOT> org>
CommitDate: Mon Jan 27 10:21:08 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1224a05e
net-ftp/ncftp: Fix CFLAGS=-fno-common
Package-Manager: Portage-2.3.85, Repoman-2.3.20
Signed-off-by: Jeroen Roovers <jer <AT> gentoo.org>
net-ftp/ncftp/files/ncftp-3.2.6-fno-common.patch | 68 ++++++++++++++++++++++++
net-ftp/ncftp/ncftp-3.2.6-r1.ebuild | 49 +++++++++++++++++
2 files changed, 117 insertions(+)
diff --git a/net-ftp/ncftp/files/ncftp-3.2.6-fno-common.patch b/net-ftp/ncftp/files/ncftp-3.2.6-fno-common.patch
new file mode 100644
index 00000000000..8b17b9b3986
--- /dev/null
+++ b/net-ftp/ncftp/files/ncftp-3.2.6-fno-common.patch
@@ -0,0 +1,68 @@
+--- a/ncftp/bookmark.h
++++ b/ncftp/bookmark.h
+@@ -59,3 +59,5 @@
+ void DefaultBookmarkName(char *, size_t, char *);
+ void DisposeBookmarkTable(void);
+ int AddNewItemToBookmarkTable(void);
++
++extern Bookmark gBm;
+--- a/ncftp/cmds.c
++++ b/ncftp/cmds.c
+@@ -91,7 +91,6 @@
+ extern char gOS[];
+ extern int gAutoResume;
+ extern int gAutoSaveChangesToExistingBookmarks;
+-extern Bookmark gBm;
+ extern int gLoadedBm, gConfirmClose, gSavePasswords, gScreenColumns;
+ extern char gLocalCWD[512], gPrevLocalCWD[512];
+ extern int gMayCancelJmp;
+--- a/ncftp/main.c
++++ b/ncftp/main.c
+@@ -38,7 +38,6 @@
+ char gLocalCWD[512], gPrevLocalCWD[512];
+
+ extern char gRemoteCWD[512], gPrevRemoteCWD[512];
+-extern Bookmark gBm;
+ extern int gLoadedBm;
+ extern int gFirewallType;
+ extern char gAutoAscii[];
+--- a/sh_util/gpshare.c
++++ b/sh_util/gpshare.c
+@@ -28,7 +28,6 @@
+
+ static int gIsAtty1 = 1, gIsAtty2 = 1;
+ extern int gLoadedBm, gBookmarkMatchMode;
+-Bookmark gBm;
+
+ double
+ FileSize(double size, const char **uStr0, double *uMult0)
+--- a/sh_util/ncftpget.c
++++ b/sh_util/ncftpget.c
+@@ -40,7 +40,6 @@
+ extern char gFirewallExceptionList[256];
+ extern int gFwDataPortMode;
+ extern const char gOS[], gVersion[];
+-extern Bookmark gBm;
+
+ static void
+ Usage(void)
+--- a/sh_util/ncftpls.c
++++ b/sh_util/ncftpls.c
+@@ -39,7 +39,6 @@
+ extern char gFirewallExceptionList[256];
+ extern int gFwDataPortMode;
+ extern const char gOS[], gVersion[];
+-extern Bookmark gBm;
+
+ static int FTPRemoteRecursiveMList(FTPCIPtr cip, const char *const rdir, /* FTPFileInfoListPtr files, */ FTPLineListPtr lines);
+
+--- a/sh_util/ncftpput.c
++++ b/sh_util/ncftpput.c
+@@ -41,7 +41,6 @@
+ extern char gFirewallExceptionList[256];
+ extern int gFwDataPortMode;
+ extern const char gOS[], gVersion[];
+-extern Bookmark gBm;
+ extern int gSendfileInProgress;
+
+ static void
diff --git a/net-ftp/ncftp/ncftp-3.2.6-r1.ebuild b/net-ftp/ncftp/ncftp-3.2.6-r1.ebuild
new file mode 100644
index 00000000000..7c177b45e9f
--- /dev/null
+++ b/net-ftp/ncftp/ncftp-3.2.6-r1.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit autotools toolchain-funcs
+
+DESCRIPTION="An extremely configurable ftp client"
+HOMEPAGE="http://www.ncftp.com/"
+SRC_URI="
+ ftp://ftp.${PN}.com/${PN}/${P}-src.tar.xz -> ${P}.tar.xz
+"
+
+LICENSE="Clarified-Artistic"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~x86-solaris"
+IUSE="pch"
+
+DEPEND="
+ sys-libs/ncurses:*
+"
+RDEPEND="
+ ${DEPEND}
+"
+PATCHES=(
+ "${FILESDIR}"/${PN}-3.2.6-fno-common.patch
+)
+
+src_prepare() {
+ default
+
+ AT_M4DIR=autoconf_local/ eautoreconf
+}
+
+src_configure() {
+ tc-export CC
+ LC_ALL="C" \
+ LIBS="$( $(tc-getPKG_CONFIG) --libs ncurses)" \
+ econf \
+ $(use_enable pch precomp) \
+ --disable-ccdv \
+ --disable-universal
+}
+
+src_install() {
+ default
+ dodoc README.txt doc/*.txt
+ docinto html
+ dodoc doc/html/*.html
+}
^ permalink raw reply related [flat|nested] 3+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: net-ftp/ncftp/files/, net-ftp/ncftp/
@ 2024-01-06 11:04 Viorel Munteanu
0 siblings, 0 replies; 3+ messages in thread
From: Viorel Munteanu @ 2024-01-06 11:04 UTC (permalink / raw
To: gentoo-commits
commit: b1ae4caa066de886e02b101711c71c7f83152416
Author: Viorel Munteanu <ceamac <AT> gentoo <DOT> org>
AuthorDate: Sat Jan 6 11:02:26 2024 +0000
Commit: Viorel Munteanu <ceamac <AT> gentoo <DOT> org>
CommitDate: Sat Jan 6 11:03:59 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b1ae4caa
net-ftp/ncftp: fix building with gcc 14
Closes: https://bugs.gentoo.org/921487
Signed-off-by: Viorel Munteanu <ceamac <AT> gentoo.org>
net-ftp/ncftp/files/ncftp-3.2.7-fix-gcc14.patch | 13 ++++++
net-ftp/ncftp/ncftp-3.2.7-r1.ebuild | 56 +++++++++++++++++++++++++
2 files changed, 69 insertions(+)
diff --git a/net-ftp/ncftp/files/ncftp-3.2.7-fix-gcc14.patch b/net-ftp/ncftp/files/ncftp-3.2.7-fix-gcc14.patch
new file mode 100644
index 000000000000..f40f85e41d9e
--- /dev/null
+++ b/net-ftp/ncftp/files/ncftp-3.2.7-fix-gcc14.patch
@@ -0,0 +1,13 @@
+https://bugs.gentoo.org/921487
+
+--- a/autoconf_local/aclocal.m4
++++ b/autoconf_local/aclocal.m4
+@@ -4196,7 +4196,7 @@
+ #include <sys/select.h>
+ #endif
+ #include <sys/socket.h> /* MG: always incl */
+-extern select ($ac_cv_func_select_arg1,$ac_cv_func_select_arg234,$ac_cv_func_select_arg234,$ac_cv_func_select_arg234,$ac_cv_func_select_arg5);],,dnl
++extern int select ($ac_cv_func_select_arg1,$ac_cv_func_select_arg234,$ac_cv_func_select_arg234,$ac_cv_func_select_arg234,$ac_cv_func_select_arg5);],,dnl
+ [ac_not_found=no ; break 3],ac_not_found=yes)
+ done
+ done
diff --git a/net-ftp/ncftp/ncftp-3.2.7-r1.ebuild b/net-ftp/ncftp/ncftp-3.2.7-r1.ebuild
new file mode 100644
index 000000000000..23de3d7409f5
--- /dev/null
+++ b/net-ftp/ncftp/ncftp-3.2.7-r1.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+inherit autotools toolchain-funcs
+
+DESCRIPTION="An extremely configurable ftp client"
+HOMEPAGE="https://www.ncftp.com/"
+SRC_URI="https://www.ncftp.com/public_ftp/${PN}/${P}-src.tar.xz"
+
+LICENSE="Clarified-Artistic"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~arm64-macos ~ppc-macos ~x64-macos"
+IUSE="pch"
+
+DEPEND="
+ sys-libs/ncurses:=
+"
+RDEPEND="
+ ${DEPEND}
+"
+BDEPEND="
+ virtual/pkgconfig
+"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-3.2.7-fix-clang.patch # 875458
+ "${FILESDIR}"/${PN}-3.2.7-fix-gcc14.patch # 921487
+)
+
+src_prepare() {
+ default
+
+ sed -i -e '/^AR=/d' autoconf_local/aclocal.m4 || die
+ # 727774
+ sed -i -e 's/STRIP=".*"/STRIP=":"/' autoconf_local/aclocal.m4 || die
+
+ AT_M4DIR=autoconf_local/ eautoreconf
+}
+
+src_configure() {
+ tc-export AR CC
+ LC_ALL="C" \
+ LIBS="$( $(tc-getPKG_CONFIG) --libs ncurses)" \
+ econf \
+ $(use_enable pch precomp) \
+ --disable-ccdv \
+ --disable-universal
+}
+
+src_install() {
+ default
+ dodoc README.txt doc/*.txt
+ docinto html
+ dodoc doc/html/*.html
+}
^ permalink raw reply related [flat|nested] 3+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: net-ftp/ncftp/files/, net-ftp/ncftp/
@ 2025-03-14 17:50 Viorel Munteanu
0 siblings, 0 replies; 3+ messages in thread
From: Viorel Munteanu @ 2025-03-14 17:50 UTC (permalink / raw
To: gentoo-commits
commit: 5044cdd7cdd2e0be51e29816ef698a9311774890
Author: Viorel Munteanu <ceamac <AT> gentoo <DOT> org>
AuthorDate: Fri Mar 14 17:46:18 2025 +0000
Commit: Viorel Munteanu <ceamac <AT> gentoo <DOT> org>
CommitDate: Fri Mar 14 17:49:50 2025 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5044cdd7
net-ftp/ncftp: add 3.2.8
Signed-off-by: Viorel Munteanu <ceamac <AT> gentoo.org>
net-ftp/ncftp/Manifest | 1 +
...cftp-3.2.8-implicit-function-declarations.patch | 42 +++++++++++++++++
net-ftp/ncftp/ncftp-3.2.8.ebuild | 55 ++++++++++++++++++++++
3 files changed, 98 insertions(+)
diff --git a/net-ftp/ncftp/Manifest b/net-ftp/ncftp/Manifest
index aa05be92f190..7e0764d8d200 100644
--- a/net-ftp/ncftp/Manifest
+++ b/net-ftp/ncftp/Manifest
@@ -1 +1,2 @@
DIST ncftp-3.2.7-src.tar.xz 422480 BLAKE2B d075be273d534b11385b8ee5839835102d9f69a6cc8fc8f661b85be32c1cad3b1c4bab2c99b8c47bc3c40d18275524b88da7d8e70985dbb0cfb7ff5ea07b70f3 SHA512 b755385a57ac2487625c15985f091d9e1b71073b2593faffe1f2bbba34e691cfff9ffd8448b048f223ea08428e890f30c49a903e4f938393e3c0e4ae03ddab37
+DIST ncftp-3.2.8-src.tar.gz 691081 BLAKE2B 0b88dfbf57befc1613886519698510bb85cc7a8e11f814d6188684551444ee39f17f4e40b71d8388853236be305644d0894e6de5b78c00955504c6f94bfc96ff SHA512 df5e22b48de718212312080964af85c572c8dba0d56d684ef531cdeefc8f4fcddab629ee8e2b94df69665fe160710fb253c694df8e9fdd495c9a1e78660fb8f1
diff --git a/net-ftp/ncftp/files/ncftp-3.2.8-implicit-function-declarations.patch b/net-ftp/ncftp/files/ncftp-3.2.8-implicit-function-declarations.patch
new file mode 100644
index 000000000000..8512ad091067
--- /dev/null
+++ b/net-ftp/ncftp/files/ncftp-3.2.8-implicit-function-declarations.patch
@@ -0,0 +1,42 @@
+aclocal.m4 contains missing headers
+
+https://bugs.gentoo.org/875458
+https://bugs.gentoo.org/921487
+https://bugs.gentoo.org/926491
+
+--- a/autoconf_local/aclocal.m4
++++ b/autoconf_local/aclocal.m4
+@@ -3341,7 +3341,7 @@
+ #include <stdio.h>
+ #include <stdlib.h>
+
+- main(int argc, char **argv)
++ int main(int argc, char **argv)
+ {
+ /* Note: don't actually call readline,
+ * since it may block;
+@@ -5107,6 +5107,7 @@
+ /* includes */
+ #include <stdio.h>
+ #include <stdlib.h>
++#include <string.h>
+
+ #ifdef HAVE_NCURSES_H
+ # define NCURSES_OPAQUE 0
+@@ -5139,7 +5139,7 @@
+ #endif
+
+
+-main(int argc, char **argv)
++int main(int argc, char **argv)
+ {
+ /* Note: don't actually call curses, since it may block;
+ * We just want to see if it (dynamic) linked in okay.
+@@ -6531,6 +6531,7 @@
+ AC_CACHE_CHECK(whether setvbuf arguments are reversed,
+ ac_cv_func_setvbuf_reversed,
+ [AC_TRY_RUN([#include <stdio.h>
++ #include <stdlib.h>
+ /* If setvbuf has the reversed format, exit 0. */
+ main () {
+ /* This call has the arguments reversed.
diff --git a/net-ftp/ncftp/ncftp-3.2.8.ebuild b/net-ftp/ncftp/ncftp-3.2.8.ebuild
new file mode 100644
index 000000000000..559a9c363b13
--- /dev/null
+++ b/net-ftp/ncftp/ncftp-3.2.8.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+inherit autotools toolchain-funcs
+
+DESCRIPTION="An extremely configurable ftp client"
+HOMEPAGE="https://www.ncftp.com/"
+SRC_URI="https://www.ncftp.com/public_ftp/${PN}/${P}-src.tar.gz"
+
+LICENSE="Clarified-Artistic"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~arm64-macos ~ppc-macos ~x64-macos"
+IUSE="pch"
+
+DEPEND="
+ sys-libs/ncurses:=
+"
+RDEPEND="
+ ${DEPEND}
+"
+BDEPEND="
+ virtual/pkgconfig
+"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-3.2.8-implicit-function-declarations.patch
+)
+
+src_prepare() {
+ default
+
+ sed -i -e '/^AR=/d' autoconf_local/aclocal.m4 || die
+ # 727774
+ sed -i -e 's/STRIP=".*"/STRIP=":"/' autoconf_local/aclocal.m4 || die
+
+ AT_M4DIR=autoconf_local/ eautoreconf
+}
+
+src_configure() {
+ tc-export AR CC
+ LC_ALL="C" \
+ LIBS="$( $(tc-getPKG_CONFIG) --libs ncurses)" \
+ econf \
+ $(use_enable pch precomp) \
+ --disable-ccdv \
+ --disable-universal
+}
+
+src_install() {
+ default
+ dodoc README.txt doc/*.txt
+ docinto html
+ dodoc doc/html/*.html
+}
^ permalink raw reply related [flat|nested] 3+ messages in thread
end of thread, other threads:[~2025-03-14 17:50 UTC | newest]
Thread overview: 3+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2020-01-27 10:21 [gentoo-commits] repo/gentoo:master commit in: net-ftp/ncftp/files/, net-ftp/ncftp/ Jeroen Roovers
-- strict thread matches above, loose matches on Subject: below --
2024-01-06 11:04 Viorel Munteanu
2025-03-14 17:50 Viorel Munteanu
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox